# Camera configuration file for co-adding reduced SDSS images of stripe82
# Attempt to designate all 6 camcols as a single mosaic camera
# Copied from SDSS camera config files, which in turn were copied 
# from ISP config files 
# Sebastian Jester jester at mpia.de August 27, 2007

# File formats that we know about
FORMATS         METADATA
        SDSSmosaic	STR     sdssmosaic/format.config
END
 
# Description of camera --- all the chips and the cells that comprise them
FPA     METADATA
	CHIP1	STR	Cell
	CHIP2	STR	Cell
	CHIP3	STR	Cell
	CHIP4	STR	Cell
	CHIP5	STR	Cell
	CHIP6	STR	Cell
END

# valid filter names and corresponding IDs
FILTER.ID       METADATA
        g       STR     g
        r       STR     r
        i       STR     i
        z       STR     z
	u       STR     u
END

# Table of strings to use for the class identifier (see ippdb) according to the file level.
CLASSID		METADATA
	FPA	STR	fpa
END

DVO.CAMERADIR	STR	sdss		# Camera directory for DVO

# convert supplied FPA.OBSTYPE values to abstract exptype names
OBSTYPE.TABLE METADATA
  bias 	   STR BIAS
  zero 	   STR BIAS
  dark 	   STR DARK
  flat 	   STR SKYFLAT
  skyflat  STR SKYFLAT
  domeflat STR DOMEFLAT
  object   STR OBJECT
  science  STR OBJECT
END

# Recipe options
RECIPES         METADATA
        PSPHOT          STR     sdssmosaic/psphot.config               # psphot details
        PSASTRO         STR     sdssmosaic/psastro.config              # psastro details
        PPIMAGE         STR     sdssmosaic/ppImage.config              # Recipes for ppImage
        PPMERGE         STR     sdssmosaic/ppMerge.config              # Recipes for ppMerge
        PSWARP          STR     sdssmosaic/pswarp.config              # Recipes for pswarp
	REJECTIONS	STR     sdssmosaic/rejections.config
END

# Reduction classes
REDUCTION	METADATA
	# Detrend processing not needed for these
        # photometry only for pre-detrended images
	# This one used to be called PROCESSED
	SDSSphotonly	METADATA
		CHIP		STR	PPIMAGE_OP_SOFT
 		JPEG_BIN1       STR     PPIMAGE_J1
 		JPEG_BIN2       STR     PPIMAGE_J2
	END
        # photometry only for pre-detrended images
	SDSSphotast	METADATA
		CHIP		STR	PPIMAGE_OA_SOFT
 		JPEG_BIN1       STR     PPIMAGE_J1
 		JPEG_BIN2       STR     PPIMAGE_J2
	END
END

FILERULES	STR	sdssmosaic/filerules.mdc

EXTNAME.RULES METADATA
  CMF.HEAD STR cmf.hdr
  CMF.DATA STR cmf.psf
  CMF.XSRC STR cmf.xsrc
  CMF.XFIT STR cmf.xfit

  PSF.HEAD  STR	hdr
  PSF.TABLE STR psf_model
  PSF.RESID STR psf_resid

  REF.ASTROM STR ref_astrom
END

BLANK.HEADERS	METADATA
	FPA.TIME	STR	TAI
	FPA.EXPOSURE	STR	EXPTIME
	FPA.AIRMASS	STR	AIRMASS
END
